# Mission Statement  

Create a fun top-down perspective 2D RPG game designed to follow rulesets of Warhammer. Features should be well thought out, including (but not limited to):  

* Exploration  
* Optional Quests
* Tons of Loot
* No classes (just skills)
* Companions (needs AI)

# Development Environment 

OS: [Ubuntu 16.04 (Xubuntu)](https://xubuntu.org/download/)  
Editor: [Visual Studio Code](https://code.visualstudio.com/download)  
GO Version: 1.9.2 ( [PPA required](https://github.com/golang/go/wiki/Ubuntu) ) *scroll to the bottom of page  
Library: [Pixel](https://github.com/faiface/pixel)  
Environment: see ```DEVELOPERS.md``` in this project
# Programming Language  

With the desire to learn the GO programming language or (GOLang). It is the language of choice for this project. The plan is to use the [Pixel Game Library](https://github.com/faiface/pixel) which supports the features we need.

# Artwork

Image assets for character and scenery can be outsourced to the online developer community or done by us (which won't look pretty). This can be done using pixel or vector artwork.

# Game World Art Style

The overall look and feel will target a dark themed medieval style.



